import { ComponentType } from 'react';
import { FC } from 'react-forward-props';
declare enum ErrorCorrectionLevel {
    'L' = 1,
    'M' = 0,
    'Q' = 3,
    'H' = 2
}
declare type CellInfo = {
    top: number;
    left: number;
    color: string;
    size: number;
};
export declare type QROptions = {
    bgColor?: string;
    fgColor?: string;
    ecLevel?: keyof typeof ErrorCorrectionLevel;
    logo?: {
        hide?: boolean;
        image?: string;
        width?: number;
        height?: number;
        opacity?: number;
    };
    dotAs?: ComponentType<QRDotProps>;
    eyeAs?: ComponentType<QREyeProps>;
};
export declare type QRProps = QROptions & {
    data: string | Record<string, unknown>;
};
export declare const QR: FC<'svg', QRProps>;
export declare type QRDotProps = CellInfo & {
    baseId?: string;
};
export declare type QREyeProps = CellInfo & {
    baseId?: string;
};
export {};
